[![License: AGPL v3](https://img.shields.io/badge/License-AGPL%20v3-blue.svg)](https://www.gnu.org/licenses/agpl-3.0) 
[![lifecycle](https://img.shields.io/badge/lifecycle-stable-brightgreen.svg)](https://www.tidyverse.org/lifecycle/#stable) 
[![Travis CI](https://travis-ci.org/bnasr/solrad.svg?branch=master)](https://travis-ci.org/bnasr/solrad) 
[![Coverage status](https://codecov.io/gh/bnasr/solrad/branch/master/graph/badge.svg)](https://codecov.io/github/bnasr/solrad?branch=master) 
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.1006383.svg)](https://doi.org/10.5281/zenodo.1006383) 
[![CRAN status](http://www.r-pkg.org/badges/version-last-release/solrad)](https://cran.r-project.org/package=solrad) 
[![Downloads](http://cranlogs.r-pkg.org/badges/solrad?color=brightgreen)](http://www.r-pkg.org/pkg/solrad) 
[![Downloads](http://cranlogs.r-pkg.org/badges/grand-total/solrad?color=brightgreen)](http://www.r-pkg.org/pkg/solrad) 

# 'solrad': Calculating solar radiation and related variables based on location, time and topographical conditions 

The 'solrad' R package is to be used in surface energy models and estimation of solar positions and components with varying topography, time and locations. The functions calculate solar top-of-atmosphere, open, diffuse and direct components, atmospheric transmittance and diffuse factors, day length, sunrise and sunset, solar azimuth, zenith, altitude, incidence, and hour angles, earth declination angle, equation of time, and solar constant.

The R package is developed and maintained by [Bijan Seyednarollah](https://bnasr.github.io/).


## References:
1. Seyednasrollah, B., M. Kumar, and T. E. Link (2013), On the role of vegetation density on net snow cover radiation at the forest floor, J. Geophys. Res. Atmos., 118, 8359–8374, [doi:10.1002/jgrd.50575]( http://dx.doi.org/10.1002/jgrd.50575).
2. Kalogirou, Soteris A. Solar energy engineering: processes and systems. Academic Press, 2013.
